Name:          openorb-event
Version:       1.4.0
Release:       %mkrel 1
Summary:       OpenORB Event Service
Group:         Development/Java
URL:           http://openorb.sourceforge.net/
Source0:       http://downloads.sourceforge.net/openorb/EventService-%{version}-src.tgz
Source1:       http://downloads.sourceforge.net/project/openorb/tools/%{version}/Tools-%{version}-src.tgz
Patch0:        openorb-event-1.4.0-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: excalibur-configuration
BuildRequires: java-1.5.0-gcj-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: openorb == %{version}
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      excalibur-configuration
Requires:      jpackage-utils
Requires:      openorb == %{version}
BuildArch:     noarch

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and
provides a lot of features, services and extensions.

This package contains OpenORB Event Service libraries.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
OpenORB Event Service.

This package contains javadoc for %{name}.

%prep

%setup -q -n EventService

gzip -dc %{SOURCE1} | tar xf -

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0

%build

unset JAVA_HOME
export JAVA_HOME=/usr/lib/jvm/java-gcj
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath avalon-framework-impl avalon-framework-api avalon-logkit excalibur-configuration commons-cli)
CLASSPATH=$CLASSPATH:$(build-classpath openorb-omg openorb-tools tools-openorb openorb junit )
CLASSPATH=$CLASSPATH:tools/lib/tools-%{version}.jar
CLASSPATH=$CLASSPATH:tools/lib/launcher.jar

ant \
  -DVERSION_MAJOR=1 \
  -DVERSION_MINOR=4 \
  -DVERSION_MINOR_CHANGE=0 \
  -buildfile src/build.xml \
  -Dbuild.compiler=modern \
  -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  jar-all compile-javadoc

%install

mkdir -p %{buildroot}%{_javadir}

install -m 644 lib/openorb_event-%{version}.jar %{buildroot}%{_javadir}/openorb-event-%{version}.jar
install -m 644 lib/openorb_event_examples-%{version}.jar %{buildroot}%{_javadir}/openorb-event-examples-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/openorb-event-%{version}/omg
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/openorb-event-%{version}/
ln -s openorb-event-%{version} %{buildroot}%{_javadocdir}/openorb-event


%files
%{_javadir}/openorb-event-%{version}.jar
%{_javadir}/openorb-event.jar
%{_javadir}/openorb-event-examples-%{version}.jar
%{_javadir}/openorb-event-examples.jar
%doc LICENSE.txt README

%files javadoc
%{_javadocdir}/openorb-event-%{version}
%{_javadocdir}/openorb-event



%changelog

* Sun Nov 27 2011 dmorgan <dmorgan> 1.4.0-1.mga2
+ Revision: 172509
- Build with java5

  + gil <gil>
    - imported package openorb-event


* Sat May 28 2011 gil <gil> 1.4.0-0.mga1
- initial rpm